package errormdl

const (
	// NOERROR - success Code
	NOERROR = 1000

	// APPLICATION ERRORS
	// SJSONERROR - sjson helper error
	SJSONERROR          = 1001
	KEYNOTFOUND         = 1002
	CASTINGERROR        = 1003
	DATAINVALIDERROR    = 1004
	EMAILERROR          = 1005
	SERVICENOTFOUND     = 1006
	CONDITIONPARSEERROR = 1007
	CONDITIONEVALERROR  = 1008
	NEXTFORMEVALERROR   = 1009

	// DB Errors
	MONGOERROR     = 2001
	MYSQLERROR     = 2002
	SQLSERVERERROR = 2003
	GRAPHDBERROR   = 2004
	IMMUDBERROR    = 2005

	// CUSTOM Error
	EXPECTATIONFAILED = 4000
)
