// TODO: Build flag needs to be passed while building exe/executable
// +build !windows

package filemdl

import (
	"os"
)

// AtomicReplaceFile atomically replaces the destination file or directory with the
// source.  It is guaranteed to either replace the target file entirely, or not
// change either file.
func AtomicReplaceFile(source, destination string) error {
	return os.Rename(source, destination)
}
