package mediamdl

import (
	"bytes"
	"os/exec"
)

// CompressVideo - CompressVideo
func CompressVideo(inputPath, outputfilePath string) error {
	return compressVideo(inputPath, outputfilePath)
}

// ResizeVideo - ResizeVideo
func ResizeVideo(inputPath, targetwidth, targetheight, outputfilePath string) error {
	return resizeVideo(inputPath, targetwidth, targetheight, outputfilePath)
}

// GetAudioFromVideo - GetAudioFromVideo
func GetAudioFromVideo(inputPath, outputfilePath string) error {
	return getAudioFromVideo1(inputPath, outputfilePath)
}

// CompressImage - CompressImage
func CompressImage(inputPath, outputfilePath string) error {

	return compressImage(inputPath, outputfilePath)
}

// ResizeImage - ResizeImage
func ResizeImage(inputPath, outputfilePath, targetwidth string) error {
	return resizeImage(inputPath, outputfilePath, targetwidth)
}

// ResizeImageWithoutAspectRatio - ResizeImageWithoutAspectRatio
func ResizeImageWithoutAspectRatio(inputPath, outputfilePath, targetwidth, targetheight string) error {
	return resizeImageWithoutAspectRatio(inputPath, outputfilePath, targetwidth, targetheight)
}

// SmartCropImage - SmartCropImage
func SmartCropImage() error {
	return smartCropImage()
}

func executeargs(commandline string, args []string) error {
	cmd := exec.Command(commandline, args...)
	var stderr bytes.Buffer
	cmd.Stderr = &stderr
	err := cmd.Run()
	if err != nil {
		// loggermdl.LogError(err)
		// loggermdl.LogError(stderr.String())
		return err
	}
	return nil
}
