package routebuildermdl

import (
	"testing"

	"github.com/stretchr/testify/assert"
)

func TestSetAppVersion(t *testing.T) {
	err := SetAppVersion("1.0.1", "1.0.0")
	assert.NoError(t, err)
}
func Test1SetAppVersion(t *testing.T) {
	err := SetAppVersion("1.0.1", "1.0.1")
	assert.NoError(t, err)
}

func Test2SetAppVersion(t *testing.T) {
	err := SetAppVersion("1.0", "1.0.1")
	assert.Error(t, err)
}

func Test3SetAppVersion(t *testing.T) {
	err := SetAppVersion("", "1.0.1")
	assert.Error(t, err)
}

func Test4SetAppVersion(t *testing.T) {
	err := SetAppVersion("1.0.1", "2.0.1")
	assert.Error(t, err)
}

func Test5SetAppVersion(t *testing.T) {
	err := SetAppVersion("1.0.1", "")
	assert.Error(t, err)
}
