// +build fasthttp

package statemdl

import (
	"encoding/json"

	"corelab.mkcl.org/MKCLOS/coredevelopmentplatform/corepkgv2/loggermdl"
	routing "github.com/qiangxue/fasthttp-routing"
)

// StateHandler handler function for sta
func StateHandler(c *routing.Context) error {
	clientReponseMutex.Lock()
	defer clientReponseMutex.Unlock()
	c.Response.Header.Set("Access-Control-Allow-Origin", "*")
	ba, err := json.Marshal(clientResponseData)
	if err != nil {
		loggermdl.LogError("Failed to marshall statitics - ", err)
		c.SetStatusCode(417)
		return nil
	}
	c.SetContentType("application/json")
	c.WriteData(string(ba))
	c.SetStatusCode(200)
	return nil
}
