package randommdl

import (
	"math/rand"
	"time"
)

// RandomString Get Random String
func RandomString(l int) string {
	bytes := make([]byte, l)
	for i := 0; i < l; i++ {
		bytes[i] = byte(RandInt(65, 90))
	}
	return string(bytes)
}

// RandInt Get Random int
func RandInt(min int, max int) int {
	rand.Seed(time.Now().UnixNano()) // to provide random value on every server start
	return min + rand.Intn(max-min)
}
