package randommdl

import (
	"testing"

	"corelab.mkcl.org/MKCLOS/coredevelopmentplatform/corepkgv2/loggermdl"
	"github.com/stretchr/testify/assert"
)

func Test_RandomString(t *testing.T) {
	str1 := RandomString(3)
	str2 := RandomString(3)
	assert.NotEqual(t, str1, str2, "These random strings should not match")
}
func Test_RandomInt(t *testing.T) {
	int1 := RandInt(1, 100)
	loggermdl.LogDebug("str1 value:: ", int1)
	int2 := RandInt(1, 100)
	loggermdl.LogDebug("str2 value:: ", int2)
	assert.NotEqual(t, int1, int2, "These random int should not match")
}
func Test_RandomIntRestricted(t *testing.T) {
	int1 := RandInt(5, 6)
	loggermdl.LogDebug("str1 value:: ", int1)
	int2 := RandInt(5, 6)
	loggermdl.LogDebug("str2 value:: ", int2)
	assert.Equal(t, int1, int2, "These restricted int should  match")
}
